glibmm: Glib::SignalProxy0< R > Class Template Reference

# Glib::SignalProxy0< R > Class Template Reference

Proxy for signals with 0 arguments. More...

Inherits Glib::SignalProxyNormal.

Collaboration diagram for Glib::SignalProxy0< R >:
[legend]

List of all members.

## Public Types
typedef sigc::slot< R > | SlotType
typedef sigc::slot< void > | VoidSlotType
## Public Member Functions
| SignalProxy0 (ObjectBase* obj, const SignalProxyInfo* info)
sigc::connection | connect (const SlotType&slot, bool after=true)
| Connects a signal to a signal handler.
sigc::connection | connect_notify (const VoidSlotType&slot, bool after=false)
| Connects a signal to a signal handler without a return value.

## Detailed Description

### template <class R>
class Glib::SignalProxy0< R >

Proxy for signals with 0 arguments.

Use the connect() method, with sigc::mem_fun() or sigc::ptr_fun() to connect signals to signal handlers.

## Member Typedef Documentation

template <class R >

typedef sigc::slot<R> Glib::SignalProxy0< R >::SlotType

template <class R >

typedef sigc::slot<void> Glib::SignalProxy0< R >::VoidSlotType

## Constructor & Destructor Documentation

template <class R >

Glib::SignalProxy0< R >::SignalProxy0 | ( | ObjectBase* | obj,
|  | const SignalProxyInfo * | info |
| ) |  |  | `[inline]`

## Member Function Documentation

template <class R >

sigc::connection Glib::SignalProxy0< R >::connect | ( | const SlotType& | slot,
|  | bool | after = `true` |
| ) |  |  | `[inline]`

Connects a signal to a signal handler.

For instance, connect( sigc::mem_fun(*this, &TheClass::on_something) );

Parameters:

  | slot | The signal handler, usually created with sigc::mem_fun(), or sigc::ptr_fun().
  | after | Whether this signal handler should be called before or after the default signal handler.

template <class R >

sigc::connection Glib::SignalProxy0< R >::connect_notify | ( | const VoidSlotType& | slot,
|  | bool | after = `false` |
| ) |  |  | `[inline]`

Connects a signal to a signal handler without a return value.

By default, the signal handler will be called before the default signal handler, in which case any return value would be replaced anyway by that of the later signal handler.

For instance, connect( sigc::mem_fun(*this, &TheClass::on_something) );

Parameters:

  | slot | The signal handler, which should have a void return type, usually created with sigc::mem_fun(), or sigc::ptr_fun().
  | after | Whether this signal handler should be called before or after the default signal handler.

The documentation for this class was generated from the following file:

- glibmm/signalproxy.h